# -*- coding: euc-jp -*-
require "numru/ggraph"
include NumRu


path   = ARGV[0]
vname  = ARGV[1]
iyr    = ARGV[2].to_i
lss    = ARGV[3].to_i
lse    = ARGV[4].to_i
if ARGV[5] == "true" then
  flag3d = true
else
  flag3d = false
end
level  = ARGV[6].to_f


# color map
#DCL.sgscmn(5)  # grey scale
#DCL.sgscmn(14) # blue-white-red

gphys = GPhys::NetCDF_IO.open(path, vname)

gphys_disp = gphys.copy

if flag3d == true then
  gphys_disp = gphys_disp.cut(gphys_disp.axis(2).name=>level)
end

#timedimname = gphys_disp.axis(3).name
#ls = gphys_disp.axis(timedimname).pos.val
#ls = ls - 360*(iyr-1)
#gphys_disp.axis(timedimname).set_pos(VArray.new(ls,nil,"Ls"))

timedimname = gphys_disp.axis(2).name
ls = gphys_disp.axis(timedimname).pos - 360*(iyr-1)
gphys_disp.axis(timedimname).set_pos(ls)

gphys_disp = gphys_disp.cut(timedimname=>lss..lse)
gphys_disp = gphys_disp.mean(timedimname)


rmiss = gphys_disp.get_att('missing_value')[0]
DCL.glpset('lmiss',true)
DCL.glpset('rmiss',rmiss)


#< DCLΥץ >
#DCL.gropn(1)
DCL.gropn(2)
#DCL.sldiv('y',2,2)           # 2x2˲ʬ, 'y'=yoko: 墪墪...
DCL.sgpset('lcntl', false)   # ʸᤷʤ
DCL.sgpset('lfull',true)     # ɽ
DCL.uzfact(0.75)             # ɸʸ󥵥 0.75 
DCL.sgpset('lfprop',true)    # ץݡʥեȤȤ

#< GGraph ˤ  >
#GGraph.set_fig 'viewport'=>[0.15,0.85,0.2,0.6], 'window'=>[ls[0],ls[ls.shape[0]-1],-90,90]
GGraph.set_fig 'itr'=>1, 'viewport'=>[0.15,0.85,0.2,0.6], 'yrev'=>'units:Pa', 'window'=>[0,360,-90,90]
GGraph.set_axes('xlabelint'=>90)
GGraph.set_axes('ylabelint'=>30)


lev = [110,120,130,140,150,160,170,180,190,200,210,220,230,240]
pat = [10999,15999,20999,25999,30999,35999,40999,50999,60999,65999,70999,75999,80999,90999,95999]

if vname == 'DOD067' then
  lev = [0  ,0.1,0.2,0.3,0.4,0.5,0.6,0.7,0.8,0.9,
         1.0,1.1,1.2,1.3,1.4,1.5,1.6]
  pat = [10999,15999,20999,25999,30999,35999,40999,45999,50999,55999,
         60999,65999,70999,75999,80999,85999,90999,95999]
elsif vname == 'DustMaxHeight' then
  lev = [ 5e3,10e3,15e3,20e3,25e3,30e3,35e3,40e3,45e3,50e3,
         55e3,60e3,65e3,70e3,75e3,80e3,85e3]
  pat = [10999,15999,20999,25999,30999,35999,40999,45999,50999,55999,
         60999,65999,70999,75999,80999,85999,90999,95999]
else
  lev = [140,150,160,170,180,190,200,210,220,230,
         240,250,260,270,280,290,300]
#  lev = [140,145,150,155,160,165,170,175,180,185,
#         190,195,200,205,210,215,220]
  pat = [10999,15999,20999,25999,30999,35999,40999,45999,50999,55999,
         60999,65999,70999,75999,80999,85999,90999,95999]
end


GGraph.tone( gphys_disp, true, 'lev'=>lev, 'pat'=>pat, 'annotate'=>false )

#GGraph.tone( gphys_disp, true, 'annotate'=>false, 'exchange'=>true )

GGraph.color_bar

title = 'Ls=' + lss.to_s + '-' + lse.to_s
DCL::uxmttl('T', ' ', 1.0)
DCL::uxmttl('T', title, -1.0)


DCL.grcls

